# OpalVideoMixer::VideoStream Struct Reference

`#include <opalmixer.h>`

Collaboration diagram for OpalVideoMixer::VideoStream:

[legend]

## Public Member Functions

| VideoStream (OpalVideoMixer &mixer)
virtual void | QueuePacket (const RTP_DataFrame &rtp)
void | InsertVideoFrame (unsigned x, unsigned y, unsigned w, unsigned h)

## Data Fields

OpalVideoMixer & | m_mixer

## Constructor & Destructor Documentation

OpalVideoMixer::VideoStream::VideoStream | ( | OpalVideoMixer & | mixer | ) |

## Member Function Documentation

void OpalVideoMixer::VideoStream::InsertVideoFrame | ( | unsigned | x,
|  | unsigned | y,
|  | unsigned | w,
|  | unsigned | h |
| ) |  |  |

virtual void OpalVideoMixer::VideoStream::QueuePacket | ( | const RTP_DataFrame & | rtp | ) | `[virtual]`

## Field Documentation

OpalVideoMixer& OpalVideoMixer::VideoStream::m_mixer

The documentation for this struct was generated from the following file:

- opalmixer.h